<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: CAContinuousWaterPlant Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d3/df6/class_c_a_continuous_water_plant.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">CAContinuousWaterPlant Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for CAContinuousWaterPlant:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../d3/df6/class_c_a_continuous_water_plant.png" usemap="#CAContinuousWaterPlant_map" alt=""/>
  <map id="CAContinuousWaterPlant_map" name="CAContinuousWaterPlant_map">
<area href="../../da/d24/class_c_a_continuous_quantity.html" alt="CAContinuousQuantity" shape="rect" coords="0,0,154,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:aa8d90a06f47b9d5058e079ff60bf6ceb"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/df6/class_c_a_continuous_water_plant.html#aa8d90a06f47b9d5058e079ff60bf6ceb">CAContinuousWaterPlant</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> quantity_used_per_second)</td></tr>
<tr class="separator:aa8d90a06f47b9d5058e079ff60bf6ceb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac7f08b5e65d080dfed9451ba6be05812"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/df6/class_c_a_continuous_water_plant.html#ac7f08b5e65d080dfed9451ba6be05812">Setup</a> (<a class="el" href="../../da/d5a/class_action_data.html">ActionData</a> action_data)</td></tr>
<tr class="separator:ac7f08b5e65d080dfed9451ba6be05812"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab9c5b2652c78ad71a09f716934fda994"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/df6/class_c_a_continuous_water_plant.html#ab9c5b2652c78ad71a09f716934fda994">Execute</a> (<a class="el" href="../../da/d5a/class_action_data.html">ActionData</a> action_data)</td></tr>
<tr class="separator:ab9c5b2652c78ad71a09f716934fda994"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5f70649d8796e69dfdc276280a965c1f"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/df6/class_c_a_continuous_water_plant.html#a5f70649d8796e69dfdc276280a965c1f">GetProgress</a> ()</td></tr>
<tr class="separator:a5f70649d8796e69dfdc276280a965c1f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:ac163ddf674d0c4fb8a11ea2ea42e2334"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/df6/class_c_a_continuous_water_plant.html#ac163ddf674d0c4fb8a11ea2ea42e2334">m_PlantThirstyness</a></td></tr>
<tr class="separator:ac163ddf674d0c4fb8a11ea2ea42e2334"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:accf415f12dab0cb3af9283bafdf943c0"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/df6/class_c_a_continuous_water_plant.html#accf415f12dab0cb3af9283bafdf943c0">m_TimeToComplete</a></td></tr>
<tr class="separator:accf415f12dab0cb3af9283bafdf943c0"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../d9/dc9/_c_a_continuous_water_plant_8c_source.html#l00001">1</a> of file <a class="el" href="../../d9/dc9/_c_a_continuous_water_plant_8c_source.html">CAContinuousWaterPlant.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="aa8d90a06f47b9d5058e079ff60bf6ceb" name="aa8d90a06f47b9d5058e079ff60bf6ceb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa8d90a06f47b9d5058e079ff60bf6ceb">&#9670;&#160;</a></span>CAContinuousWaterPlant()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void CAContinuousWaterPlant::CAContinuousWaterPlant </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>quantity_used_per_second</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/dc9/_c_a_continuous_water_plant_8c_source.html#l00006">6</a> of file <a class="el" href="../../d9/dc9/_c_a_continuous_water_plant_8c_source.html">CAContinuousWaterPlant.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="ab9c5b2652c78ad71a09f716934fda994" name="ab9c5b2652c78ad71a09f716934fda994"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab9c5b2652c78ad71a09f716934fda994">&#9670;&#160;</a></span>Execute()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> CAContinuousWaterPlant::Execute </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../da/d5a/class_action_data.html">ActionData</a>&#160;</td>
          <td class="paramname"><em>action_data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/dc9/_c_a_continuous_water_plant_8c_source.html#l00038">38</a> of file <a class="el" href="../../d9/dc9/_c_a_continuous_water_plant_8c_source.html">CAContinuousWaterPlant.c</a>.</p>

</div>
</div>
<a id="a5f70649d8796e69dfdc276280a965c1f" name="a5f70649d8796e69dfdc276280a965c1f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5f70649d8796e69dfdc276280a965c1f">&#9670;&#160;</a></span>GetProgress()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d4/dc3/classfloat.html">float</a> CAContinuousWaterPlant::GetProgress </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/dc9/_c_a_continuous_water_plant_8c_source.html#l00074">74</a> of file <a class="el" href="../../d9/dc9/_c_a_continuous_water_plant_8c_source.html">CAContinuousWaterPlant.c</a>.</p>

</div>
</div>
<a id="ac7f08b5e65d080dfed9451ba6be05812" name="ac7f08b5e65d080dfed9451ba6be05812"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac7f08b5e65d080dfed9451ba6be05812">&#9670;&#160;</a></span>Setup()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void CAContinuousWaterPlant::Setup </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../da/d5a/class_action_data.html">ActionData</a>&#160;</td>
          <td class="paramname"><em>action_data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/dc9/_c_a_continuous_water_plant_8c_source.html#l00011">11</a> of file <a class="el" href="../../d9/dc9/_c_a_continuous_water_plant_8c_source.html">CAContinuousWaterPlant.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="ac163ddf674d0c4fb8a11ea2ea42e2334" name="ac163ddf674d0c4fb8a11ea2ea42e2334"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac163ddf674d0c4fb8a11ea2ea42e2334">&#9670;&#160;</a></span>m_PlantThirstyness</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d4/dc3/classfloat.html">float</a> CAContinuousWaterPlant::m_PlantThirstyness</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/dc9/_c_a_continuous_water_plant_8c_source.html#l00003">3</a> of file <a class="el" href="../../d9/dc9/_c_a_continuous_water_plant_8c_source.html">CAContinuousWaterPlant.c</a>.</p>

</div>
</div>
<a id="accf415f12dab0cb3af9283bafdf943c0" name="accf415f12dab0cb3af9283bafdf943c0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#accf415f12dab0cb3af9283bafdf943c0">&#9670;&#160;</a></span>m_TimeToComplete</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d4/dc3/classfloat.html">float</a> CAContinuousWaterPlant::m_TimeToComplete</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/dc9/_c_a_continuous_water_plant_8c_source.html#l00004">4</a> of file <a class="el" href="../../d9/dc9/_c_a_continuous_water_plant_8c_source.html">CAContinuousWaterPlant.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/4_World/Classes/UserActionsComponent/ActionComponents/<a class="el" href="../../d9/dc9/_c_a_continuous_water_plant_8c_source.html">CAContinuousWaterPlant.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d3/df6/class_c_a_continuous_water_plant.html">CAContinuousWaterPlant</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
